const pm2 = require('pm2')

pm2.connect(function (err) {
    if (err) {
        console.error(err)
        process.exit(2)
    }

    pm2.start({
        script: 'src_run.js',
        name: 'wn',
        autorestart: false,
    }, function (err, apps) {
        if (err) {
            console.error(err)
            return pm2.disconnect()
        }
        setTimeout(function () {
            pm2.describe(apps[0].pm_id, function (err, datas){
                console.log(datas)
            })
        }, 1000)
    //   pm2.list((err, list) => {
    //     console.log(err, list)
    //
    //     pm2.restart('wn', (err, proc) => {
    //       // Disconnects from PM2
    //       pm2.disconnect()
    //     })
    //   })
    })
})